GNU bug report logs - #44818
Say "Consider switching so-long mode on" when detecting long line files

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Devon Sean McCullough <Devon2020@HIDDEN>; merged with #44809; dated Mon, 23 Nov 2020 12:40:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Changed bug title to 'Say "Consider switching so-long mode on" when detecting long line files' from '27.0.91; wedged' Request was from 積丹尼 Dan Jacobson <jidanni@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 44818 <at> debbugs.gnu.org:


Received: (at 44818) by debbugs.gnu.org; 27 Nov 2020 08:21:23 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Nov 27 03:21:23 2020
Received: from localhost ([127.0.0.1]:43838 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kiZ0N-0001va-FH
	for submit <at> debbugs.gnu.org; Fri, 27 Nov 2020 03:21:23 -0500
Received: from mout.gmx.net ([212.227.17.22]:56809)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <michael.albinus@HIDDEN>) id 1kiZ0K-0001vL-NA
 for 44818 <at> debbugs.gnu.org; Fri, 27 Nov 2020 03:21:21 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.net;
 s=badeba3b8450; t=1606465260;
 bh=wHmY4TcafBVsZiry40i+2GpAcmLXY6mNg+OSqyN1OdY=;
 h=X-UI-Sender-Class:From:To:Cc:Subject:References:Date:In-Reply-To;
 b=BOvsAcQAUEmj4lqwC8LF5kNpC1B/FKaFjm5CYYBKjQCWi+ILf4onYsAtRweHcANsJ
 z5YSBdw2/+SbUjz2fUCtF7DugTPtBacxb/7b9TzPv5NhXOY+4mJGXPWa7aMN5rrYzR
 acfHnNierMyydr1i41BNZWuw2UxFFtLXQ1Bd+eS8=
X-UI-Sender-Class: 01bb95c1-4bf8-414a-932a-4f6e2808ef9c
Received: from gandalf.gmx.de ([217.70.140.123]) by mail.gmx.com (mrgmx105
 [212.227.17.168]) with ESMTPSA (Nemesis) id 1N0Fxf-1jy01j2ZM7-00xKPf; Fri, 27
 Nov 2020 09:21:00 +0100
From: Michael Albinus <michael.albinus@HIDDEN>
To: Devon Sean McCullough <Emacs-hacker2018@HIDDEN>
Subject: Re: bug#44818: 27.0.91; wedged
References: <e42316a7-6e2d-f3df-58e8-1fcd242eea6d@HIDDEN>
 <83a6v8vzok.fsf@HIDDEN>
 <25e38edd-593d-5c6b-dd6d-25bb5cd439b3@HIDDEN>
 <83ft4ytwu7.fsf@HIDDEN>
 <d13a053f-377b-0ab0-bb68-d168c24171cd@HIDDEN>
 <83v9dtsch1.fsf@HIDDEN>
 <4704e482-385f-4eb9-60e9-d381e7e8b517@HIDDEN>
Date: Fri, 27 Nov 2020 09:20:58 +0100
In-Reply-To: <4704e482-385f-4eb9-60e9-d381e7e8b517@HIDDEN> (Devon Sean
 McCullough's message of "Thu, 26 Nov 2020 12:06:09 -0500")
Message-ID: <87sg8v6wid.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V03:K1:JNWLbukwGSh0lLBbUArXqrnLxpicnDd1temlV/iD5wo0ugyE6E/
 pk4UCnazkimZOm5SY+rl+hItnz1IJhQKeJrbwqpliuNkRhfseVFgJt2v7UDUGrDanvnranO
 21DkFSSMwruI/IlOsSshqN+g8tVzaOGfELhL+60mMVivO9fVdyuG+MA7BTIZPrc0GUA9y3L
 Ql96oauE6MRYFehuaXdbA==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:+ydqdqFttIg=:StHKHgrO/b4zrwU344D3ZC
 k0SWLs1qs/f7RMxTcBTcOSq31uR4Cyg43h+QwYqlYAGeTKd6UbQUmLxqx0eOYN0V+1iEk/jxF
 9uUVbNd6UMKTYCe7RPT/WtxSjMjZcTyAIpdE1F6nCzWMFh7sa5jQsFk5dBd/y913p39xTjih1
 76etz5NBuVhpBm+UfJewba8p7F/OSdKC4vHfcpi1QLIkaLa3um36c40S0aVBv3zafqQ4ZYsWo
 9uEXlbYO9lgwfvNn0f0i8UB48ulTNHmP2mTM8aw5YHjWwwhao8TKjLFmSktg22Waw+nkOFA4D
 GFk65WPtXf8IqtoT4KpPzWbmeDQOInJZsPDOmC8smB41Wf6cPPdQU6Ui3n7I+1QunyYzn8QjZ
 pAyfi2bUTor7YqXwpKYXfQoUr0TeyfLn67CZVaIWMughrjvzYDhvvwyhF9m3xG8UdNTk9Hlr1
 BoIzdKefd+4M6X3SDGlGrMaJFSgm5nVOGwCrS9y6xkJ3n8qNlJ1TaWBObaIeI5PxpssJy77Qt
 KFwq9UACTA1xE7BK4kdlm/5e1XgBFy0pMuCl9nyD0A0+cTPpvUM3+rBwOZneg4FZX1gZ0QnPv
 ZVyEWuWa0j8dCq6RstVeZp8AuypAUF6PJ0/VJ0S13QmRzRrAKchwgbaELMCQXkU43xraKivjX
 ndqr1coTQ67Lki6KdrMUKaR+rd3YtCNVHCyilPi835VmEcyrr76/tk121Megv5YBnNgj6lGBD
 +I+wElT/wTE142TSZy94Wh4NO6oisnaV8o8BScWwAOXTlyRT8wRihYORwvE+9WDLAJZoh/Ion
 knLGGRM+qNOmKtrSFipRR4h+bCR3d2PmGdSU5sAk4P0+FJrPkTYqRLQHP3XI1RRt91pFpQOcp
 S3KT06zGY1be8a570W0w==
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 44818
Cc: Eli Zaretskii <eliz@HIDDEN>, 44818 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Devon Sean McCullough <Emacs-hacker2018@HIDDEN> writes:

Hi,

> Dead, comatose or entranced?  Best show some sign of life!
> E.g., tramp is slower than most remote file interfaces but
> users are used it.  Its progress reports should be updated
> every second, either a timer or the traditional ETA.

Tramp uses Emacs' progress-reporter. However, this is based on timers,
which are fired only at dedicated point, for example during
accept-process-output. If there's no process output, no timer call, no
progress report.

(IIRC, there were problems with Tramp's progress reporter, which have
been fixed beginning of this year in the master branch)

Best regards, Michael.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#44818; Package emacs. Full text available.

Message received at 44818 <at> debbugs.gnu.org:


Received: (at 44818) by debbugs.gnu.org; 27 Nov 2020 05:40:44 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Nov 27 00:40:44 2020
Received: from localhost ([127.0.0.1]:43485 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kiWUt-0003yU-Td
	for submit <at> debbugs.gnu.org; Fri, 27 Nov 2020 00:40:44 -0500
Received: from eggs.gnu.org ([209.51.188.92]:41676)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rms@HIDDEN>) id 1kiWUr-0003yI-Sz
 for 44818 <at> debbugs.gnu.org; Fri, 27 Nov 2020 00:40:42 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:58498)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <rms@HIDDEN>)
 id 1kiWUm-0005i2-Cy; Fri, 27 Nov 2020 00:40:36 -0500
Received: from rms by fencepost.gnu.org with local (Exim 4.82)
 (envelope-from <rms@HIDDEN>)
 id 1kiWUi-0006CM-KC; Fri, 27 Nov 2020 00:40:33 -0500
Content-Type: text/plain; charset=Utf-8
From: Richard Stallman <rms@HIDDEN>
To: Devon Sean McCullough <Emacs-hacker2018@HIDDEN>
In-Reply-To: <4704e482-385f-4eb9-60e9-d381e7e8b517@HIDDEN> (message from
 Devon Sean McCullough on Thu, 26 Nov 2020 12:06:09 -0500)
Subject: Re: bug#44818: 27.0.91; wedged
References: <e42316a7-6e2d-f3df-58e8-1fcd242eea6d@HIDDEN>
 <83a6v8vzok.fsf@HIDDEN> <25e38edd-593d-5c6b-dd6d-25bb5cd439b3@HIDDEN>
 <83ft4ytwu7.fsf@HIDDEN> <d13a053f-377b-0ab0-bb68-d168c24171cd@HIDDEN>
 <83v9dtsch1.fsf@HIDDEN> <4704e482-385f-4eb9-60e9-d381e7e8b517@HIDDEN>
Message-Id: <E1kiWUi-0006CM-KC@HIDDEN>
Date: Fri, 27 Nov 2020 00:40:32 -0500
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 44818
Cc: eliz@HIDDEN, 44818 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: rms@HIDDEN
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

[[[ To any NSA and FBI agents reading my email: please consider    ]]]
[[[ whether defending the US Constitution against all enemies,     ]]]
[[[ foreign or domestic, requires you to follow Snowden's example. ]]]

  > Will "so long" catch spammed shells?

Could you explain the problem you're worried about?
What is the scenario?

-- 
Dr Richard Stallman
Chief GNUisance of the GNU Project (https://gnu.org)
Founder, Free Software Foundation (https://fsf.org)
Internet Hall-of-Famer (https://internethalloffame.org)






Information forwarded to bug-gnu-emacs@HIDDEN:
bug#44818; Package emacs. Full text available.

Message received at 44818 <at> debbugs.gnu.org:


Received: (at 44818) by debbugs.gnu.org; 26 Nov 2020 17:06:15 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Nov 26 12:06:14 2020
Received: from localhost ([127.0.0.1]:42702 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kiKik-0006bq-NF
	for submit <at> debbugs.gnu.org; Thu, 26 Nov 2020 12:06:14 -0500
Received: from gateway22.websitewelcome.com ([192.185.47.129]:30726)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <emacs-hacker2018@HIDDEN>) id 1kiKih-0006bh-R5
 for 44818 <at> debbugs.gnu.org; Thu, 26 Nov 2020 12:06:13 -0500
Received: from cm17.websitewelcome.com (cm17.websitewelcome.com [100.42.49.20])
 by gateway22.websitewelcome.com (Postfix) with ESMTP id A5F7713DBD
 for <44818 <at> debbugs.gnu.org>; Thu, 26 Nov 2020 11:06:10 -0600 (CST)
Received: from leaf.websitewelcome.com ([192.185.82.99]) by cmsmtp with SMTP
 id iKigkiB9PDT64iKigk6kIc; Thu, 26 Nov 2020 11:06:10 -0600
X-Authority-Reason: nr=8
Received: from pool-72-83-171-228.washdc.east.verizon.net
 ([72.83.171.228]:59223 helo=[192.168.1.165])
 by leaf.websitewelcome.com with esmtpsa (TLS1.2) tls
 TLS_ECDHE_RSA_WITH_AES_128_GCM_SHA256 (Exim 4.93)
 (envelope-from <Emacs-hacker2018@HIDDEN>)
 id 1kiKig-003Mq6-CV; Thu, 26 Nov 2020 11:06:10 -0600
Subject: Re: bug#44818: 27.0.91; wedged
To: Eli Zaretskii <eliz@HIDDEN>
References: <e42316a7-6e2d-f3df-58e8-1fcd242eea6d@HIDDEN>
 <83a6v8vzok.fsf@HIDDEN> <25e38edd-593d-5c6b-dd6d-25bb5cd439b3@HIDDEN>
 <83ft4ytwu7.fsf@HIDDEN> <d13a053f-377b-0ab0-bb68-d168c24171cd@HIDDEN>
 <83v9dtsch1.fsf@HIDDEN>
From: Devon Sean McCullough <Emacs-hacker2018@HIDDEN>
Message-ID: <4704e482-385f-4eb9-60e9-d381e7e8b517@HIDDEN>
Date: Thu, 26 Nov 2020 12:06:09 -0500
User-Agent: Mozilla/5.0 (Macintosh; Intel Mac OS X 10.14; rv:78.0)
 Gecko/20100101 Thunderbird/78.4.3
MIME-Version: 1.0
In-Reply-To: <83v9dtsch1.fsf@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 8bit
X-AntiAbuse: This header was added to track abuse,
 please include it with any abuse report
X-AntiAbuse: Primary Hostname - leaf.websitewelcome.com
X-AntiAbuse: Original Domain - debbugs.gnu.org
X-AntiAbuse: Originator/Caller UID/GID - [47 12] / [47 12]
X-AntiAbuse: Sender Address Domain - jovi.net
X-BWhitelist: no
X-Source-IP: 72.83.171.228
X-Source-L: No
X-Exim-ID: 1kiKig-003Mq6-CV
X-Source: 
X-Source-Args: 
X-Source-Dir: 
X-Source-Sender: pool-72-83-171-228.washdc.east.verizon.net ([192.168.1.165])
 [72.83.171.228]:59223
X-Source-Auth: devon2011@HIDDEN
X-Email-Count: 2
X-Source-Cap: am92aW5ldDtkZXZvbjtsZWFmLndlYnNpdGV3ZWxjb21lLmNvbQ==
X-Local-Domain: yes
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 44818
Cc: 44818 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Happy Thanksgiving, hackers in the USA!

Will "so long" catch spammed shells?

What if four or more consecutive ^G quits were to select a
"safe" full frame window or dialog offering a few choices,
e.g., ignore the quits and restore the saved window state,
kill the buffer, select another buffer, read the tutorial,
add overlays to appease redisplay or (eek) quit Emacs?

Would a ^G quit discard unprocessed input?  Is it possible
to time out when unprocessed input languishes for > 50 ms,
in a situation where ^G quit is either ignored or fails to
put the user back in the driver's seat?

Perhaps there's no way to detect when the editor is wedged
and the user has lost control.  One clue might be when the
user types ^G quit many times, but was it a sound check of
the beeper's audio output, or a frustrated user attempting
to regain control of a rogue editor?

		Peace
			--Devon

P.S.  Some jobs involve a noticeable delay — not ok for redisplay!

(find-file-noselect "src/xdisp.c")	; 480.5 ms to read the file
(find-file "src/xdisp.c")	; 1.4 ms to display the buffer

Dead, comatose or entranced?  Best show some sign of life!
E.g., tramp is slower than most remote file interfaces but
users are used it.  Its progress reports should be updated
every second, either a timer or the traditional ETA.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#44818; Package emacs. Full text available.

Message received at 44818 <at> debbugs.gnu.org:


Received: (at 44818) by debbugs.gnu.org; 25 Nov 2020 15:37:28 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Nov 25 10:37:28 2020
Received: from localhost ([127.0.0.1]:36712 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1khwrI-0001Kp-Md
	for submit <at> debbugs.gnu.org; Wed, 25 Nov 2020 10:37:28 -0500
Received: from eggs.gnu.org ([209.51.188.92]:58112)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1khwrH-0001KY-7d
 for 44818 <at> debbugs.gnu.org; Wed, 25 Nov 2020 10:37:27 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:46446)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1khwrB-0005mY-Mr; Wed, 25 Nov 2020 10:37:21 -0500
Received: from [176.228.60.248] (port=3682 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1khwrA-00052J-VM; Wed, 25 Nov 2020 10:37:21 -0500
Date: Wed, 25 Nov 2020 17:37:22 +0200
Message-Id: <83lfepsb0t.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>, Phil Sainty <psainty@HIDDEN>
In-Reply-To: <87pn412abd.fsf@HIDDEN> (message from Lars Ingebrigtsen on Wed, 
 25 Nov 2020 07:57:10 +0100)
Subject: Re: bug#44818: 27.0.91; wedged
References: <e42316a7-6e2d-f3df-58e8-1fcd242eea6d@HIDDEN>
 <83a6v8vzok.fsf@HIDDEN> <877dqb9qxb.fsf@HIDDEN>
 <83r1oiu5l7.fsf@HIDDEN> <87pn412abd.fsf@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 44818
Cc: Devon2020@HIDDEN, 44818 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Lars Ingebrigtsen <larsi@HIDDEN>
> Cc: Devon2020@HIDDEN,  44818 <at> debbugs.gnu.org
> Date: Wed, 25 Nov 2020 07:57:10 +0100
> 
> > We should try to finish the bits that aren't yet finalized, and turn
> > it on by default as soon as we can.
> 
> I didn't know that so-long was going to be switched on by default -- in
> that case, that should indeed solve these problems.

That was the plan, AFAIR.

Phil, would it be possible to finalize all the minor bits we've
identified last time this was discussed, and then turn so-long on by
default?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#44818; Package emacs. Full text available.

Message received at 44818 <at> debbugs.gnu.org:


Received: (at 44818) by debbugs.gnu.org; 25 Nov 2020 15:06:12 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Nov 25 10:06:12 2020
Received: from localhost ([127.0.0.1]:36682 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1khwN2-0000ZD-AW
	for submit <at> debbugs.gnu.org; Wed, 25 Nov 2020 10:06:12 -0500
Received: from eggs.gnu.org ([209.51.188.92]:50118)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1khwN0-0000Yu-1i
 for 44818 <at> debbugs.gnu.org; Wed, 25 Nov 2020 10:06:10 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:45751)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1khwMu-0002y5-Jj; Wed, 25 Nov 2020 10:06:04 -0500
Received: from [176.228.60.248] (port=1744 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1khwMq-00076J-MS; Wed, 25 Nov 2020 10:06:01 -0500
Date: Wed, 25 Nov 2020 17:06:02 +0200
Message-Id: <83v9dtsch1.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Devon Sean McCullough <Emacs-hacker2018@HIDDEN>
In-Reply-To: <d13a053f-377b-0ab0-bb68-d168c24171cd@HIDDEN> (message from
 Devon Sean McCullough on Tue, 24 Nov 2020 20:35:00 -0500)
Subject: Re: bug#44818: 27.0.91; wedged
References: <e42316a7-6e2d-f3df-58e8-1fcd242eea6d@HIDDEN>
 <83a6v8vzok.fsf@HIDDEN> <25e38edd-593d-5c6b-dd6d-25bb5cd439b3@HIDDEN>
 <83ft4ytwu7.fsf@HIDDEN> <d13a053f-377b-0ab0-bb68-d168c24171cd@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 44818
Cc: 44818 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> Cc: 44818 <at> debbugs.gnu.org
> From: Devon Sean McCullough <Emacs-hacker2018@HIDDEN>
> Date: Tue, 24 Nov 2020 20:35:00 -0500
> 
> On 24/11/2020 13:48, Eli Zaretskii wrote:
> >> Cc: 44818 <at> debbugs.gnu.org
> >> From: Devon Sean McCullough <Emacs-hacker2018@HIDDEN>
> >> Date: Tue, 24 Nov 2020 13:42:03 -0500
> >>
> >> P.S.  Could a watchdog timer safely abort such wedgitude?
> > 
> > That would have to run in a separate thread, right?
> > 
> > But what timeout to set it to? some jobs might legitimately take some
> > time.  And then what to do when the timer expires?
> 
> The job of redisplay cannot legitimately take > 50 milliseconds.

It can, and it does.  Although this is quite rare, it does happen.
Here's a simple example: visit src/xdisp.c, then type M-> and measure
the time.

> When the user repeatedly tries ^G quit but Emacs is unresponsive
> because of redisplay, such redisplay must be prevented while the
> user is offered options to regain control.

I asked "what to do when the timer expires" because the practical
meaning of "redisplay must be prevented" is not at all clear.

> P.S. Could an invisibility overlay offer temporary relief?
> Perhaps a red screen of redisplay death with a short menu?

Anything that has to be done by the display code will suffer from the
same problem.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#44818; Package emacs. Full text available.

Message received at 44818 <at> debbugs.gnu.org:


Received: (at 44818) by debbugs.gnu.org; 25 Nov 2020 14:47:58 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Nov 25 09:47:58 2020
Received: from localhost ([127.0.0.1]:34778 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1khw5O-0005y5-55
	for submit <at> debbugs.gnu.org; Wed, 25 Nov 2020 09:47:58 -0500
Received: from gateway34.websitewelcome.com ([192.185.148.212]:16880)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <emacs-hacker2018@HIDDEN>) id 1khw5M-0005xx-6H
 for 44818 <at> debbugs.gnu.org; Wed, 25 Nov 2020 09:47:57 -0500
Received: from cm13.websitewelcome.com (cm13.websitewelcome.com [100.42.49.6])
 by gateway34.websitewelcome.com (Postfix) with ESMTP id 58E0D3E488A
 for <44818 <at> debbugs.gnu.org>; Wed, 25 Nov 2020 08:47:53 -0600 (CST)
Received: from leaf.websitewelcome.com ([192.185.82.99]) by cmsmtp with SMTP
 id hw5IksABKoE4Dhw5IkU5yE; Wed, 25 Nov 2020 08:47:53 -0600
X-Authority-Reason: nr=8
Received: from pool-72-83-171-228.washdc.east.verizon.net
 ([72.83.171.228]:54251 helo=[192.168.1.165])
 by leaf.websitewelcome.com with esmtpsa (TLS1.2) tls
 TLS_ECDHE_RSA_WITH_AES_128_GCM_SHA256 (Exim 4.93)
 (envelope-from <Emacs-hacker2018@HIDDEN>)
 id 1khw5I-002oGA-Gd; Wed, 25 Nov 2020 08:47:52 -0600
Subject: Re: bug#44818: 27.0.91; wedged
To: Andreas Schwab <schwab@HIDDEN>
References: <e42316a7-6e2d-f3df-58e8-1fcd242eea6d@HIDDEN>
 <83a6v8vzok.fsf@HIDDEN> <25e38edd-593d-5c6b-dd6d-25bb5cd439b3@HIDDEN>
 <83ft4ytwu7.fsf@HIDDEN> <d13a053f-377b-0ab0-bb68-d168c24171cd@HIDDEN>
 <87im9tygvv.fsf@HIDDEN>
From: Devon Sean McCullough <Emacs-hacker2018@HIDDEN>
Message-ID: <574e640f-009b-7be3-6be2-af20b573411a@HIDDEN>
Date: Wed, 25 Nov 2020 09:47:51 -0500
User-Agent: Mozilla/5.0 (Macintosh; Intel Mac OS X 10.14; rv:78.0)
 Gecko/20100101 Thunderbird/78.4.3
MIME-Version: 1.0
In-Reply-To: <87im9tygvv.fsf@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-AntiAbuse: This header was added to track abuse,
 please include it with any abuse report
X-AntiAbuse: Primary Hostname - leaf.websitewelcome.com
X-AntiAbuse: Original Domain - debbugs.gnu.org
X-AntiAbuse: Originator/Caller UID/GID - [47 12] / [47 12]
X-AntiAbuse: Sender Address Domain - jovi.net
X-BWhitelist: no
X-Source-IP: 72.83.171.228
X-Source-L: No
X-Exim-ID: 1khw5I-002oGA-Gd
X-Source: 
X-Source-Args: 
X-Source-Dir: 
X-Source-Sender: pool-72-83-171-228.washdc.east.verizon.net ([192.168.1.165])
 [72.83.171.228]:54251
X-Source-Auth: devon2011@HIDDEN
X-Email-Count: 3
X-Source-Cap: am92aW5ldDtkZXZvbjtsZWFmLndlYnNpdGV3ZWxjb21lLmNvbQ==
X-Local-Domain: yes
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 44818
Cc: Eli Zaretskii <eliz@HIDDEN>, 44818 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

On 25/11/2020 03:34, Andreas Schwab wrote:
> On Nov 24 2020, Devon Sean McCullough wrote:
> 
>> The job of redisplay cannot legitimately take > 50 milliseconds.
> 
> Unless Emacs is busy looking up fonts.
> If font lookup obstructs timely redisplay, the correct action is to 
display some blurry placeholder and sharpen it as soon as possible.

		Peace
			--Devon




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#44818; Package emacs. Full text available.

Message received at 44818 <at> debbugs.gnu.org:


Received: (at 44818) by debbugs.gnu.org; 25 Nov 2020 08:34:29 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Nov 25 03:34:29 2020
Received: from localhost ([127.0.0.1]:34203 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1khqFx-0000ss-Aw
	for submit <at> debbugs.gnu.org; Wed, 25 Nov 2020 03:34:29 -0500
Received: from mail-out.m-online.net ([212.18.0.10]:48663)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <whitebox@HIDDEN>) id 1khqFi-0000sB-MO
 for 44818 <at> debbugs.gnu.org; Wed, 25 Nov 2020 03:34:27 -0500
Received: from frontend01.mail.m-online.net (unknown [192.168.8.182])
 by mail-out.m-online.net (Postfix) with ESMTP id 4CgvLs6LrZz1ryXJ;
 Wed, 25 Nov 2020 09:34:13 +0100 (CET)
Received: from localhost (dynscan1.mnet-online.de [192.168.6.70])
 by mail.m-online.net (Postfix) with ESMTP id 4CgvLs64jRz1tnHC;
 Wed, 25 Nov 2020 09:34:13 +0100 (CET)
X-Virus-Scanned: amavisd-new at mnet-online.de
Received: from mail.mnet-online.de ([192.168.8.182])
 by localhost (dynscan1.mail.m-online.net [192.168.6.70]) (amavisd-new,
 port 10024)
 with ESMTP id Lx3vyJ4kZCmR; Wed, 25 Nov 2020 09:34:13 +0100 (CET)
X-Auth-Info: QMGVH/cwKaHq0dk+OdDRqNwoCIIxsybzlSYVZDBUaYMS4eofIvLb793SNIe1E9uQ
Received: from igel.home (ppp-46-244-182-15.dynamic.mnet-online.de
 [46.244.182.15])
 (using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256 bits))
 (No client certificate requested)
 by mail.mnet-online.de (Postfix) with ESMTPSA;
 Wed, 25 Nov 2020 09:34:13 +0100 (CET)
Received: by igel.home (Postfix, from userid 1000)
 id D27802C329E; Wed, 25 Nov 2020 09:34:12 +0100 (CET)
From: Andreas Schwab <schwab@HIDDEN>
To: Devon Sean McCullough <Emacs-hacker2018@HIDDEN>
Subject: Re: bug#44818: 27.0.91; wedged
References: <e42316a7-6e2d-f3df-58e8-1fcd242eea6d@HIDDEN>
 <83a6v8vzok.fsf@HIDDEN>
 <25e38edd-593d-5c6b-dd6d-25bb5cd439b3@HIDDEN>
 <83ft4ytwu7.fsf@HIDDEN>
 <d13a053f-377b-0ab0-bb68-d168c24171cd@HIDDEN>
X-Yow: You must be a CUB SCOUT!!  Have you made your MONEY-DROP today??
Date: Wed, 25 Nov 2020 09:34:12 +0100
In-Reply-To: <d13a053f-377b-0ab0-bb68-d168c24171cd@HIDDEN> (Devon Sean
 McCullough's message of "Tue, 24 Nov 2020 20:35:00 -0500")
Message-ID: <87im9tygvv.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.3 (/)
X-Debbugs-Envelope-To: 44818
Cc: Eli Zaretskii <eliz@HIDDEN>, 44818 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.4 (-)

On Nov 24 2020, Devon Sean McCullough wrote:

> The job of redisplay cannot legitimately take > 50 milliseconds.

Unless Emacs is busy looking up fonts.

Andreas.

-- 
Andreas Schwab, schwab@HIDDEN
GPG Key fingerprint = 7578 EB47 D4E5 4D69 2510  2552 DF73 E780 A9DA AEC1
"And now for something completely different."




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#44818; Package emacs. Full text available.

Message received at 44818 <at> debbugs.gnu.org:


Received: (at 44818) by debbugs.gnu.org; 25 Nov 2020 06:57:23 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Nov 25 01:57:23 2020
Received: from localhost ([127.0.0.1]:33995 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1khojz-0006uQ-A9
	for submit <at> debbugs.gnu.org; Wed, 25 Nov 2020 01:57:23 -0500
Received: from quimby.gnus.org ([95.216.78.240]:33860)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1khojx-0006uE-EM
 for 44818 <at> debbugs.gnu.org; Wed, 25 Nov 2020 01:57:21 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=MBFveljqUwGdcjgKzzZNLSsBxgf17At+ibl7I+2wOlU=; b=FicHEMUJNMNZoY/ICIdbwyj2Nx
 xVY++M8p2BzuzTbnDkXtQtcoyUfzh5HMRQPuScf1jykgSK/RplxSaksmicb5Ma5phDF3c844Sgl1f
 FTs//CmTk2YAJ8ksXDin1N39XkB9Xb17/wMcHPafmaOeGlaCsL6oJI5QPQfsj5YXUSos=;
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1khojn-0004OG-IQ; Wed, 25 Nov 2020 07:57:15 +0100
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#44818: 27.0.91; wedged
References: <e42316a7-6e2d-f3df-58e8-1fcd242eea6d@HIDDEN>
 <83a6v8vzok.fsf@HIDDEN> <877dqb9qxb.fsf@HIDDEN>
 <83r1oiu5l7.fsf@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwBAMAAAClLOS0AAAABGdBTUEAALGPC/xhBQAAACBj
 SFJNAAB6JgAAgIQAAPoAAACA6AAAdTAAAOpgAAA6mAAAF3CculE8AAAAElBMVEUfHxglJRpMSDZY
 WUzCnHb///86tvQhAAAAAWJLR0QF+G/pxwAAAAd0SU1FB+QLGQY4HBzTRjYAAAGvSURBVDjLbZSB
 saQgDIYDbgEBLQDiFaCEAvZW+q/pEmAV3rvMLO7km/8PgSgYJ+HpiX1niQPqg7nmYmfR4QmpShwZ
 MC4iyF9NPKCI6rxUu+ADoijUITof6XUIgAjUFAgAshiDr3cD3coBVuAEICAKANeJAvltb13FagYG
 tuMBflAoMA3c1asCt7reVror1AVWXb7Fawba2oK6lQ1uSBujQPomt/2t5b8AUBUa2znYqDdJ7xUk
 mKMpEDbGKf9Ycfhp1UE6alW5i7rLG6zHWx/27AfXgRx/qNVX/gWQ5Zl2jhMA8EGO6FVSPn8oTr8g
 5HLlT3yAHkawAv6Uki+awWk92nJxvniwMk5GIgSxSlyYfLxrIDCE3eTy2QsnisOuMrqFi3gpoKlz
 WEoNne8BwAlbAxcTjyBKex3wBGAEoYN22UvNZr54F8WqYG/1O5BOOmjzeSsyxzp2dw3TCsjRhxkA
 N0C/gM8VON+Af6ZDjjfRaeqwTkDe+RQJ/wMsJ0kbuMGCAdCCNSlZIggzkE8DxOQTu4QK3GAFcnmG
 qJQPLLAOHx5i1ual0w+Dvb843yFs4n/BFVwBr38MeAAAACV0RVh0ZGF0ZTpjcmVhdGUAMjAyMC0x
 MS0yNVQwNjo1NjoyOCswMDowML0a2v8AAAAldEVYdGRhdGU6bW9kaWZ5ADIwMjAtMTEtMjVUMDY6
 NTY6MjgrMDA6MDDMR2JDAAAAAElFTkSuQmCC
X-Now-Playing: Modern English's _Mesh & Lace_: "Move in Light"
Date: Wed, 25 Nov 2020 07:57:10 +0100
In-Reply-To: <83r1oiu5l7.fsf@HIDDEN> (Eli Zaretskii's message of "Tue, 24 Nov
 2020 17:39:32 +0200")
Message-ID: <87pn412abd.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Eli Zaretskii <eliz@HIDDEN> writes: >> Why doesn't Emacs
 just check for long lines (in the C code, for speed) >> when opening files,
 and offer the "visit literally?" if it detects them? > > That's what
 so-long-mode does, AFAIR. It was d [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 44818
Cc: Devon2020@HIDDEN, 44818 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Eli Zaretskii <eliz@HIDDEN> writes:

>> Why doesn't Emacs just check for long lines (in the C code, for speed)
>> when opening files, and offer the "visit literally?" if it detects them?
>
> That's what so-long-mode does, AFAIR.  It was designed to solve these
> use cases, and AFAIR it does that well enough to not need to invent
> yet another similar wheel.
>
> We should try to finish the bits that aren't yet finalized, and turn
> it on by default as soon as we can.

I didn't know that so-long was going to be switched on by default -- in
that case, that should indeed solve these problems.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#44818; Package emacs. Full text available.

Message received at 44818 <at> debbugs.gnu.org:


Received: (at 44818) by debbugs.gnu.org; 25 Nov 2020 01:35:04 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Nov 24 20:35:04 2020
Received: from localhost ([127.0.0.1]:33612 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1khji3-00012u-VW
	for submit <at> debbugs.gnu.org; Tue, 24 Nov 2020 20:35:04 -0500
Received: from gateway32.websitewelcome.com ([192.185.145.1]:25455)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <emacs-hacker2018@HIDDEN>) id 1khji1-00012P-Ej
 for 44818 <at> debbugs.gnu.org; Tue, 24 Nov 2020 20:35:02 -0500
Received: from cm12.websitewelcome.com (cm12.websitewelcome.com [100.42.49.8])
 by gateway32.websitewelcome.com (Postfix) with ESMTP id E1184C991D
 for <44818 <at> debbugs.gnu.org>; Tue, 24 Nov 2020 19:35:00 -0600 (CST)
Received: from leaf.websitewelcome.com ([192.185.82.99]) by cmsmtp with SMTP
 id hji0kvn4jiQiZhji0kZUzg; Tue, 24 Nov 2020 19:35:00 -0600
X-Authority-Reason: nr=8
Received: from pool-72-83-171-228.washdc.east.verizon.net
 ([72.83.171.228]:50519 helo=[192.168.1.165])
 by leaf.websitewelcome.com with esmtpsa (TLS1.2) tls
 TLS_ECDHE_RSA_WITH_AES_128_GCM_SHA256 (Exim 4.93)
 (envelope-from <Emacs-hacker2018@HIDDEN>)
 id 1khji0-002JUO-LE; Tue, 24 Nov 2020 19:35:00 -0600
Subject: Re: bug#44818: 27.0.91; wedged
To: Eli Zaretskii <eliz@HIDDEN>
References: <e42316a7-6e2d-f3df-58e8-1fcd242eea6d@HIDDEN>
 <83a6v8vzok.fsf@HIDDEN> <25e38edd-593d-5c6b-dd6d-25bb5cd439b3@HIDDEN>
 <83ft4ytwu7.fsf@HIDDEN>
From: Devon Sean McCullough <Emacs-hacker2018@HIDDEN>
Message-ID: <d13a053f-377b-0ab0-bb68-d168c24171cd@HIDDEN>
Date: Tue, 24 Nov 2020 20:35:00 -0500
User-Agent: Mozilla/5.0 (Macintosh; Intel Mac OS X 10.14; rv:78.0)
 Gecko/20100101 Thunderbird/78.4.3
MIME-Version: 1.0
In-Reply-To: <83ft4ytwu7.fsf@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-AntiAbuse: This header was added to track abuse,
 please include it with any abuse report
X-AntiAbuse: Primary Hostname - leaf.websitewelcome.com
X-AntiAbuse: Original Domain - debbugs.gnu.org
X-AntiAbuse: Originator/Caller UID/GID - [47 12] / [47 12]
X-AntiAbuse: Sender Address Domain - jovi.net
X-BWhitelist: no
X-Source-IP: 72.83.171.228
X-Source-L: No
X-Exim-ID: 1khji0-002JUO-LE
X-Source: 
X-Source-Args: 
X-Source-Dir: 
X-Source-Sender: pool-72-83-171-228.washdc.east.verizon.net ([192.168.1.165])
 [72.83.171.228]:50519
X-Source-Auth: devon2011@HIDDEN
X-Email-Count: 2
X-Source-Cap: am92aW5ldDtkZXZvbjtsZWFmLndlYnNpdGV3ZWxjb21lLmNvbQ==
X-Local-Domain: yes
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 44818
Cc: 44818 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

On 24/11/2020 13:48, Eli Zaretskii wrote:
>> Cc: 44818 <at> debbugs.gnu.org
>> From: Devon Sean McCullough <Emacs-hacker2018@HIDDEN>
>> Date: Tue, 24 Nov 2020 13:42:03 -0500
>>
>> P.S.  Could a watchdog timer safely abort such wedgitude?
> 
> That would have to run in a separate thread, right?
> 
> But what timeout to set it to? some jobs might legitimately take some
> time.  And then what to do when the timer expires?

The job of redisplay cannot legitimately take > 50 milliseconds.
When the user repeatedly tries ^G quit but Emacs is unresponsive
because of redisplay, such redisplay must be prevented while the
user is offered options to regain control.

		Peace
			--Devon

P.S. Could an invisibility overlay offer temporary relief?
Perhaps a red screen of redisplay death with a short menu?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#44818; Package emacs. Full text available.

Message received at 44818 <at> debbugs.gnu.org:


Received: (at 44818) by debbugs.gnu.org; 24 Nov 2020 18:48:44 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Nov 24 13:48:44 2020
Received: from localhost ([127.0.0.1]:32986 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1khdMp-00082R-QS
	for submit <at> debbugs.gnu.org; Tue, 24 Nov 2020 13:48:44 -0500
Received: from eggs.gnu.org ([209.51.188.92]:34966)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1khdMn-00082D-I8
 for 44818 <at> debbugs.gnu.org; Tue, 24 Nov 2020 13:48:42 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:48736)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1khdMh-0005mq-Jf; Tue, 24 Nov 2020 13:48:36 -0500
Received: from [176.228.60.248] (port=3078 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1khdMg-0006VM-2T; Tue, 24 Nov 2020 13:48:35 -0500
Date: Tue, 24 Nov 2020 20:48:32 +0200
Message-Id: <83ft4ytwu7.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Devon Sean McCullough <Emacs-hacker2018@HIDDEN>
In-Reply-To: <25e38edd-593d-5c6b-dd6d-25bb5cd439b3@HIDDEN> (message from
 Devon Sean McCullough on Tue, 24 Nov 2020 13:42:03 -0500)
Subject: Re: bug#44818: 27.0.91; wedged
References: <e42316a7-6e2d-f3df-58e8-1fcd242eea6d@HIDDEN>
 <83a6v8vzok.fsf@HIDDEN> <25e38edd-593d-5c6b-dd6d-25bb5cd439b3@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 44818
Cc: 44818 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> Cc: 44818 <at> debbugs.gnu.org
> From: Devon Sean McCullough <Emacs-hacker2018@HIDDEN>
> Date: Tue, 24 Nov 2020 13:42:03 -0500
> 
> P.S.  Could a watchdog timer safely abort such wedgitude?

That would have to run in a separate thread, right?

But what timeout to set it to? some jobs might legitimately take some
time.  And then what to do when the timer expires?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#44818; Package emacs. Full text available.

Message received at 44818 <at> debbugs.gnu.org:


Received: (at 44818) by debbugs.gnu.org; 24 Nov 2020 18:42:19 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Nov 24 13:42:19 2020
Received: from localhost ([127.0.0.1]:32973 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1khdGd-0007sf-CR
	for submit <at> debbugs.gnu.org; Tue, 24 Nov 2020 13:42:19 -0500
Received: from gateway22.websitewelcome.com ([192.185.47.79]:45693)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <emacs-hacker2018@HIDDEN>) id 1khdGb-0007sX-Qz
 for 44818 <at> debbugs.gnu.org; Tue, 24 Nov 2020 13:42:18 -0500
Received: from cm12.websitewelcome.com (cm12.websitewelcome.com [100.42.49.8])
 by gateway22.websitewelcome.com (Postfix) with ESMTP id A2300B397
 for <44818 <at> debbugs.gnu.org>; Tue, 24 Nov 2020 12:42:04 -0600 (CST)
Received: from leaf.websitewelcome.com ([192.185.82.99]) by cmsmtp with SMTP
 id hdGOknpJ5iQiZhdGOkRlE1; Tue, 24 Nov 2020 12:42:04 -0600
X-Authority-Reason: nr=8
Received: from pool-72-83-171-228.washdc.east.verizon.net
 ([72.83.171.228]:49345 helo=[192.168.1.165])
 by leaf.websitewelcome.com with esmtpsa (TLS1.2) tls
 TLS_ECDHE_RSA_WITH_AES_128_GCM_SHA256 (Exim 4.93)
 (envelope-from <Emacs-hacker2018@HIDDEN>)
 id 1khdGO-0045Bv-AK; Tue, 24 Nov 2020 12:42:04 -0600
Subject: Re: bug#44818: 27.0.91; wedged
To: Eli Zaretskii <eliz@HIDDEN>
References: <e42316a7-6e2d-f3df-58e8-1fcd242eea6d@HIDDEN>
 <83a6v8vzok.fsf@HIDDEN>
From: Devon Sean McCullough <Emacs-hacker2018@HIDDEN>
Message-ID: <25e38edd-593d-5c6b-dd6d-25bb5cd439b3@HIDDEN>
Date: Tue, 24 Nov 2020 13:42:03 -0500
User-Agent: Mozilla/5.0 (Macintosh; Intel Mac OS X 10.14; rv:78.0)
 Gecko/20100101 Thunderbird/78.4.3
MIME-Version: 1.0
In-Reply-To: <83a6v8vzok.fsf@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-AntiAbuse: This header was added to track abuse,
 please include it with any abuse report
X-AntiAbuse: Primary Hostname - leaf.websitewelcome.com
X-AntiAbuse: Original Domain - debbugs.gnu.org
X-AntiAbuse: Originator/Caller UID/GID - [47 12] / [47 12]
X-AntiAbuse: Sender Address Domain - jovi.net
X-BWhitelist: no
X-Source-IP: 72.83.171.228
X-Source-L: No
X-Exim-ID: 1khdGO-0045Bv-AK
X-Source: 
X-Source-Args: 
X-Source-Dir: 
X-Source-Sender: pool-72-83-171-228.washdc.east.verizon.net ([192.168.1.165])
 [72.83.171.228]:49345
X-Source-Auth: devon2011@HIDDEN
X-Email-Count: 2
X-Source-Cap: am92aW5ldDtkZXZvbjtsZWFmLndlYnNpdGV3ZWxjb21lLmNvbQ==
X-Local-Domain: yes
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 44818
Cc: 44818 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

On 23/11/2020 10:51, Eli Zaretskii wrote:
> Try this:
> 
>    C-g M-<
> 

After 48 hours of 100% CPU, Emacs finally returns from read_char.
Rather than wait 48 more hours for the next read_char, I disabled
breakpoints, tried

	(lldb) print (long)Fgoto_char((long)Fpoint_min())
	(long) $12 = 6
	(lldb) continue

and was able to kill the buffer manually.  Thanks, Eli!

		Peace
			--Devon

P.S.  Could a watchdog timer safely abort such wedgitude?
Reading a file is not the only way to lose here.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#44818; Package emacs. Full text available.

Message received at 44818 <at> debbugs.gnu.org:


Received: (at 44818) by debbugs.gnu.org; 24 Nov 2020 15:39:41 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Nov 24 10:39:41 2020
Received: from localhost ([127.0.0.1]:60944 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1khaPt-0005Wz-3s
	for submit <at> debbugs.gnu.org; Tue, 24 Nov 2020 10:39:41 -0500
Received: from eggs.gnu.org ([209.51.188.92]:45158)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1khaPs-0005Wn-3W
 for 44818 <at> debbugs.gnu.org; Tue, 24 Nov 2020 10:39:40 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:46222)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1khaPm-0003NR-In; Tue, 24 Nov 2020 10:39:34 -0500
Received: from [176.228.60.248] (port=3356 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1khaPl-0002UI-Bx; Tue, 24 Nov 2020 10:39:34 -0500
Date: Tue, 24 Nov 2020 17:39:32 +0200
Message-Id: <83r1oiu5l7.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
In-Reply-To: <877dqb9qxb.fsf@HIDDEN> (message from Lars Ingebrigtsen on Tue, 
 24 Nov 2020 08:04:16 +0100)
Subject: Re: bug#44818: 27.0.91; wedged
References: <e42316a7-6e2d-f3df-58e8-1fcd242eea6d@HIDDEN>
 <83a6v8vzok.fsf@HIDDEN> <877dqb9qxb.fsf@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 44818
Cc: Devon2020@HIDDEN, 44818 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Lars Ingebrigtsen <larsi@HIDDEN>
> Cc: Devon Sean McCullough <Devon2020@HIDDEN>,  44818 <at> debbugs.gnu.org
> Date: Tue, 24 Nov 2020 08:04:16 +0100
> 
> Eli Zaretskii <eliz@HIDDEN> writes:
> 
> > When you visit such a long file in Emacs 27.1, you should see a
> > suggestion to visit it literally; take it.
> >
> > A more general solution is to turn on so-long mode.
> 
> This is such a general problem that people bump into all the time that I
> think Emacs should have an even more general solution, and it should be
> on by default.

We generally intended to turn on so-long-mode by default.  We just
didn't get our act together in time for Emacs 27, as there are a few
bits to get straight before we could make it the default.

> The long-file warning isn't sufficient -- there's plenty of smaller
> files that have this problem, too.

so-long-mode is supposed to detect those cases reliably, not just by
file size, but also by line size and other indications.

> Why doesn't Emacs just check for long lines (in the C code, for speed)
> when opening files, and offer the "visit literally?" if it detects them?

That's what so-long-mode does, AFAIR.  It was designed to solve these
use cases, and AFAIR it does that well enough to not need to invent
yet another similar wheel.

We should try to finish the bits that aren't yet finalized, and turn
it on by default as soon as we can.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#44818; Package emacs. Full text available.
Forcibly Merged 44809 44818. Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 44818 <at> debbugs.gnu.org:


Received: (at 44818) by debbugs.gnu.org; 24 Nov 2020 07:05:11 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Nov 24 02:05:11 2020
Received: from localhost ([127.0.0.1]:55608 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1khSNy-0007Cu-UX
	for submit <at> debbugs.gnu.org; Tue, 24 Nov 2020 02:05:11 -0500
Received: from quimby.gnus.org ([95.216.78.240]:49840)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1khSNK-00075g-7j
 for 44818 <at> debbugs.gnu.org; Tue, 24 Nov 2020 02:04:31 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=tq31nJPb8L4ksowNTbtugsRBK730iO+DKGdKTU43nV8=; b=Q8PYtmWSe8k3Bp++boFBC4miRd
 sukx8iVMN2YO3N8xlrPWISRw4ku43Emzuem7g12tAjxnhbR3u7Z/xxEXFLxMLgeeMvjZzgXd75JEQ
 1ZP+hCFU+DyudRuQxSVB+KFKxgin2J7VKoV/BMicL4eEC5/mvT0j7518ckS0THfzwWf4=;
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1khSN7-0000cv-N1; Tue, 24 Nov 2020 08:04:23 +0100
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#44818: 27.0.91; wedged
References: <e42316a7-6e2d-f3df-58e8-1fcd242eea6d@HIDDEN>
 <83a6v8vzok.fsf@HIDDEN>
X-Now-Playing: The Specials's _The Specials_: "Nite Klub"
Date: Tue, 24 Nov 2020 08:04:16 +0100
In-Reply-To: <83a6v8vzok.fsf@HIDDEN> (Eli Zaretskii's message of "Mon, 23 Nov
 2020 17:51:55 +0200")
Message-ID: <877dqb9qxb.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Eli Zaretskii <eliz@HIDDEN> writes: > When you visit such
 a long file in Emacs 27.1, you should see a > suggestion to visit it literally;
 take it. > > A more general solution is to turn on so-long mode. 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 44818
Cc: Devon Sean McCullough <Devon2020@HIDDEN>, 44818 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Eli Zaretskii <eliz@HIDDEN> writes:

> When you visit such a long file in Emacs 27.1, you should see a
> suggestion to visit it literally; take it.
>
> A more general solution is to turn on so-long mode.

This is such a general problem that people bump into all the time that I
think Emacs should have an even more general solution, and it should be
on by default.

The long-file warning isn't sufficient -- there's plenty of smaller
files that have this problem, too.

Why doesn't Emacs just check for long lines (in the C code, for speed)
when opening files, and offer the "visit literally?" if it detects them?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#44818; Package emacs. Full text available.

Message received at 44818 <at> debbugs.gnu.org:


Received: (at 44818) by debbugs.gnu.org; 23 Nov 2020 15:52:08 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Nov 23 10:52:08 2020
Received: from localhost ([127.0.0.1]:50749 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1khE8O-0004WL-Gs
	for submit <at> debbugs.gnu.org; Mon, 23 Nov 2020 10:52:08 -0500
Received: from eggs.gnu.org ([209.51.188.92]:44864)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1khE8M-0004Vv-Mq
 for 44818 <at> debbugs.gnu.org; Mon, 23 Nov 2020 10:52:07 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:46366)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1khE8H-0002hL-3R; Mon, 23 Nov 2020 10:52:01 -0500
Received: from [176.228.60.248] (port=3194 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1khE8G-0004II-12; Mon, 23 Nov 2020 10:52:00 -0500
Date: Mon, 23 Nov 2020 17:51:55 +0200
Message-Id: <83a6v8vzok.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Devon Sean McCullough <Devon2020@HIDDEN>
In-Reply-To: <e42316a7-6e2d-f3df-58e8-1fcd242eea6d@HIDDEN> (message from
 Devon Sean McCullough on Mon, 23 Nov 2020 00:07:10 -0500)
Subject: Re: bug#44818: 27.0.91; wedged
References: <e42316a7-6e2d-f3df-58e8-1fcd242eea6d@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 44818
Cc: 44818 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Devon Sean McCullough <Devon2020@HIDDEN>
> Date: Mon, 23 Nov 2020 00:07:10 -0500
> 
> Having fat-fingered it in dired, I inadvertently opened a large file
> with no newlines.  That Emacs instance has been burning 100% CPU all
> day.  I can interrupt and single step it in llbd from another Emacs.
> Is there any way to unwedge Emacs?  E.g., would forcing read_char to
> return Qnil, Qt or something cause corruption?  Would invoking, say,
> Fbury_buffer_internal (Fcurrent_buffer ()) regain control or blow it
> up?  I'll leave it overnight in case it reads the ^G^G^Xk^M I typed.

Try this:

  C-g M-<

This will probably take some time to come through, but once it does,
you will see the very beginning of the file, and should be able to
kill the buffer with "C-x k RET".

> P.S. Obviously, long stretches of non-newlines wedge Emacs for ages,
> because redisplay assumes there are no long lines.  Perhaps the docs
> mention some workaround I missed?  Redisplay has been buggy for over
> a year now, glitchy blank windows, etc., but that's not today's bug.

When you visit such a long file in Emacs 27.1, you should see a
suggestion to visit it literally; take it.

A more general solution is to turn on so-long mode.

You seem to be running a pretest of Emacs 27.1, so maybe these don't
work in your version.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#44818; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 23 Nov 2020 12:39:58 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Nov 23 07:39:58 2020
Received: from localhost ([127.0.0.1]:49474 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1khB8P-0005pG-Ni
	for submit <at> debbugs.gnu.org; Mon, 23 Nov 2020 07:39:58 -0500
Received: from lists.gnu.org ([209.51.188.17]:39056)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <devon2020@HIDDEN>) id 1kh4P3-00077c-77
 for submit <at> debbugs.gnu.org; Mon, 23 Nov 2020 00:28:45 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10]:41142)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <devon2020@HIDDEN>)
 id 1kh4P2-0004Up-Uy
 for bug-gnu-emacs@HIDDEN; Mon, 23 Nov 2020 00:28:40 -0500
Received: from [192.185.48.251] (port=19197 helo=gateway23.websitewelcome.com)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <devon2020@HIDDEN>)
 id 1kh4P0-00087e-Bh
 for bug-gnu-emacs@HIDDEN; Mon, 23 Nov 2020 00:28:40 -0500
Received: from cm16.websitewelcome.com (cm16.websitewelcome.com [100.42.49.19])
 by gateway23.websitewelcome.com (Postfix) with ESMTP id 46AE73007
 for <bug-gnu-emacs@HIDDEN>; Sun, 22 Nov 2020 23:07:11 -0600 (CST)
Received: from leaf.websitewelcome.com ([192.185.82.99]) by cmsmtp with SMTP
 id h44FkdrQDosA0h44FkAu2l; Sun, 22 Nov 2020 23:07:11 -0600
X-Authority-Reason: nr=8
Received: from pool-72-83-171-228.washdc.east.verizon.net
 ([72.83.171.228]:59599 helo=[192.168.1.165])
 by leaf.websitewelcome.com with esmtpsa (TLS1.2) tls
 TLS_ECDHE_RSA_WITH_AES_128_GCM_SHA256 (Exim 4.93)
 (envelope-from <Devon2020@HIDDEN>) id 1kh44E-003mSV-SZ
 for bug-gnu-emacs@HIDDEN; Sun, 22 Nov 2020 23:07:11 -0600
To: bug-gnu-emacs@HIDDEN
From: Devon Sean McCullough <Devon2020@HIDDEN>
Subject: 27.0.91; wedged
Message-ID: <e42316a7-6e2d-f3df-58e8-1fcd242eea6d@HIDDEN>
Date: Mon, 23 Nov 2020 00:07:10 -0500
User-Agent: Mozilla/5.0 (Macintosh; Intel Mac OS X 10.14; rv:78.0)
 Gecko/20100101 Thunderbird/78.4.2
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-AntiAbuse: This header was added to track abuse,
 please include it with any abuse report
X-AntiAbuse: Primary Hostname - leaf.websitewelcome.com
X-AntiAbuse: Original Domain - gnu.org
X-AntiAbuse: Originator/Caller UID/GID - [47 12] / [47 12]
X-AntiAbuse: Sender Address Domain - jovi.net
X-BWhitelist: no
X-Source-IP: 72.83.171.228
X-Source-L: No
X-Exim-ID: 1kh44E-003mSV-SZ
X-Source: 
X-Source-Args: 
X-Source-Dir: 
X-Source-Sender: pool-72-83-171-228.washdc.east.verizon.net ([192.168.1.165])
 [72.83.171.228]:59599
X-Source-Auth: devon2011@HIDDEN
X-Email-Count: 1
X-Source-Cap: am92aW5ldDtkZXZvbjtsZWFmLndlYnNpdGV3ZWxjb21lLmNvbQ==
X-Local-Domain: yes
X-Host-Lookup-Failed: Reverse DNS lookup failed for 192.185.48.251 (failed)
Received-SPF: pass client-ip=192.185.48.251; envelope-from=devon2020@HIDDEN;
 helo=gateway23.websitewelcome.com
X-Spam_score_int: 2
X-Spam_score: 0.2
X-Spam_bar: /
X-Spam_report: (0.2 / 5.0 requ) BAYES_00=-1.9, RCVD_IN_BL_SPAMCOP_NET=1.347,
 RCVD_IN_MSPIKE_H2=-0.001, RDNS_NONE=0.793, SPF_HELO_PASS=-0.001,
 SPF_PASS=-0.001 autolearn=no autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.7 (-)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Mon, 23 Nov 2020 07:39:55 -0500
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.4 (-)

Having fat-fingered it in dired, I inadvertently opened a large file
with no newlines.  That Emacs instance has been burning 100% CPU all
day.  I can interrupt and single step it in llbd from another Emacs.
Is there any way to unwedge Emacs?  E.g., would forcing read_char to
return Qnil, Qt or something cause corruption?  Would invoking, say,
Fbury_buffer_internal (Fcurrent_buffer ()) regain control or blow it
up?  I'll leave it overnight in case it reads the ^G^G^Xk^M I typed.

		Peace
			--Devon

P.S. Obviously, long stretches of non-newlines wedge Emacs for ages,
because redisplay assumes there are no long lines.  Perhaps the docs
mention some workaround I missed?  Redisplay has been buggy for over
a year now, glitchy blank windows, etc., but that's not today's bug.

(lldb) process attach --pid 1361

Process 1361 stopped
* thread #1, queue = 'com.apple.main-thread', stop reason = signal SIGSTOP
     frame #0: 0x00007fff7eedf21a libsystem_kernel.dylib`mach_msg_trap + 10
libsystem_kernel.dylib`mach_msg_trap:
->  0x7fff7eedf21a <+10>: retq
     0x7fff7eedf21b <+11>: nop

libsystem_kernel.dylib`mach_msg_overwrite_trap:
     0x7fff7eedf21c <+0>:  movq   %rcx, %r10
     0x7fff7eedf21f <+3>:  movl   $0x1000020, %eax          ; imm = 
0x1000020
Target 0: (Emacs-x86_64-10_14) stopped.

Executable module set to 
"/Applications/Emacs-27.0.91.app/Contents/MacOS/Emacs-x86_64-10_14".
Architecture set to: x86_64h-apple-macosx-.
(lldb) Process 1361 resuming
(lldb) error: Process is running.  Use 'process interrupt' to pause 
execution.
(lldb) error: Process is running.  Use 'process interrupt' to pause 
execution.
(lldb) process interrupt
(lldb) Process 1361 stopped
* thread #1, queue = 'com.apple.main-thread', stop reason = signal SIGSTOP
     frame #0: 0x00000001037bb087 
Emacs-x86_64-10_14`bidi_find_bracket_pairs + 1319
Emacs-x86_64-10_14`bidi_find_bracket_pairs:
->  0x1037bb087 <+1319>: leaq   0x5d6862(%rip), %rax      ; globals
     0x1037bb08e <+1326>: movb   0xe2a(%rax), %al
     0x1037bb094 <+1332>: testb  %al, %al
     0x1037bb096 <+1334>: jne    0x1037bacf0               ; <+400>
Target 0: (Emacs-x86_64-10_14) stopped.
bt
* thread #1, queue = 'com.apple.main-thread', stop reason = signal SIGSTOP
   * frame #0: 0x00000001037bb087 
Emacs-x86_64-10_14`bidi_find_bracket_pairs + 1319
     frame #1: 0x00000001037ba8ff 
Emacs-x86_64-10_14`bidi_resolve_brackets + 959
     frame #2: 0x00000001037b8236 
Emacs-x86_64-10_14`bidi_level_of_next_char + 358
     frame #3: 0x00000001037b7a07 
Emacs-x86_64-10_14`bidi_move_to_visually_next + 439
     frame #4: 0x000000010372fb4f 
Emacs-x86_64-10_14`set_iterator_to_next + 703
     frame #5: 0x000000010373110b 
Emacs-x86_64-10_14`move_it_in_display_line_to + 3835
     frame #6: 0x000000010372e60f Emacs-x86_64-10_14`move_it_to + 783
     frame #7: 0x00000001037371b9 
Emacs-x86_64-10_14`move_it_vertically_backward + 1273
     frame #8: 0x0000000103769fe7 Emacs-x86_64-10_14`redisplay_window + 
17735
     frame #9: 0x0000000103765a96 Emacs-x86_64-10_14`redisplay_window_0 + 38
     frame #10: 0x000000010385bbef 
Emacs-x86_64-10_14`internal_condition_case_1 + 271
     frame #11: 0x000000010376516c Emacs-x86_64-10_14`redisplay_windows 
+ 140
     frame #12: 0x000000010373b706 Emacs-x86_64-10_14`redisplay_internal 
+ 4886
     frame #13: 0x00000001037d8b15 Emacs-x86_64-10_14`read_char + 2213
     frame #14: 0x00000001037d66da Emacs-x86_64-10_14`read_key_sequence 
+ 1722
     frame #15: 0x00000001037d4edc Emacs-x86_64-10_14`command_loop_1 + 1340
     frame #16: 0x000000010385bab7 
Emacs-x86_64-10_14`internal_condition_case + 263
     frame #17: 0x00000001037e5050 Emacs-x86_64-10_14`command_loop_2 + 48
     frame #18: 0x000000010385b2db Emacs-x86_64-10_14`internal_catch + 267
     frame #19: 0x0000000103927355 
Emacs-x86_64-10_14`command_loop.cold.1 + 69
     frame #20: 0x00000001037d3fa3 Emacs-x86_64-10_14`command_loop + 131
     frame #21: 0x00000001037d3ed3 Emacs-x86_64-10_14`recursive_edit_1 + 115
     frame #22: 0x00000001037d412b Emacs-x86_64-10_14`Frecursive_edit + 347
     frame #23: 0x00000001037d2d07 Emacs-x86_64-10_14`main + 7431
     frame #24: 0x00007fff7edaa3d5 libdyld.dylib`start + 1
     frame #25: 0x00007fff7edaa3d5 libdyld.dylib`start + 1
(lldb) continue
Process 1361 resuming
(lldb) process interrupt
(lldb) Process 1361 stopped
* thread #1, queue = 'com.apple.main-thread', stop reason = signal SIGSTOP
     frame #0: 0x00000001039152a0 
Emacs-x86_64-10_14`macfont_get_glyph_for_character + 32
Emacs-x86_64-10_14`macfont_get_glyph_for_character:
->  0x1039152a0 <+32>: movq   %rax, -0x30(%rbp)
     0x1039152a4 <+36>: movq   0xd8(%rdi), %r15
     0x1039152ab <+43>: movq   0xf0(%rdi), %r12
     0x1039152b2 <+50>: cmpl   $0xd800, %esi             ; imm = 0xD800
Target 0: (Emacs-x86_64-10_14) stopped.
bt
* thread #1, queue = 'com.apple.main-thread', stop reason = signal SIGSTOP
   * frame #0: 0x00000001039152a0 
Emacs-x86_64-10_14`macfont_get_glyph_for_character + 32
     frame #1: 0x0000000103911094 Emacs-x86_64-10_14`macfont_encode_char 
+ 20
     frame #2: 0x0000000103749bdc Emacs-x86_64-10_14`gui_produce_glyphs 
+ 2428
     frame #3: 0x00000001037308c5 
Emacs-x86_64-10_14`move_it_in_display_line_to + 1717
     frame #4: 0x000000010372e60f Emacs-x86_64-10_14`move_it_to + 783
     frame #5: 0x00000001037371b9 
Emacs-x86_64-10_14`move_it_vertically_backward + 1273
     frame #6: 0x0000000103769fe7 Emacs-x86_64-10_14`redisplay_window + 
17735
     frame #7: 0x0000000103765a96 Emacs-x86_64-10_14`redisplay_window_0 + 38
     frame #8: 0x000000010385bbef 
Emacs-x86_64-10_14`internal_condition_case_1 + 271
     frame #9: 0x000000010376516c Emacs-x86_64-10_14`redisplay_windows + 140
     frame #10: 0x000000010373b706 Emacs-x86_64-10_14`redisplay_internal 
+ 4886
     frame #11: 0x00000001037d8b15 Emacs-x86_64-10_14`read_char + 2213
     frame #12: 0x00000001037d66da Emacs-x86_64-10_14`read_key_sequence 
+ 1722
     frame #13: 0x00000001037d4edc Emacs-x86_64-10_14`command_loop_1 + 1340
     frame #14: 0x000000010385bab7 
Emacs-x86_64-10_14`internal_condition_case + 263
     frame #15: 0x00000001037e5050 Emacs-x86_64-10_14`command_loop_2 + 48
     frame #16: 0x000000010385b2db Emacs-x86_64-10_14`internal_catch + 267
     frame #17: 0x0000000103927355 
Emacs-x86_64-10_14`command_loop.cold.1 + 69
     frame #18: 0x00000001037d3fa3 Emacs-x86_64-10_14`command_loop + 131
     frame #19: 0x00000001037d3ed3 Emacs-x86_64-10_14`recursive_edit_1 + 115
     frame #20: 0x00000001037d412b Emacs-x86_64-10_14`Frecursive_edit + 347
     frame #21: 0x00000001037d2d07 Emacs-x86_64-10_14`main + 7431
     frame #22: 0x00007fff7edaa3d5 libdyld.dylib`start + 1
     frame #23: 0x00007fff7edaa3d5 libdyld.dylib`start + 1
(lldb) continue
Process 1361 resuming
(lldb)

In GNU Emacs 27.0.91 (build 1, x86_64-apple-darwin18.7.0, NS 
appkit-1671.60 Version 10.14.6 (Build 18G6042))
  of 2020-11-22 built on la
Windowing system distributor 'Apple', version 10.3.1671
System Description:  Mac OS X 10.14.6

Recent messages:
History item: 0
History item: 1
History item: 2
History item: 3
History item: 4
History item: 5
History item: 6
History item: 7
History item: 8
History item: 9

Configured using:
  'configure --with-ns '--enable-locallisppath=/Library/Application
  Support/Emacs/${version}/site-lisp:/Library/Application
  Support/Emacs/site-lisp' --with-modules'

Configured features:
NOTIFY KQUEUE ACL GNUTLS LIBXML2 ZLIB TOOLKIT_SCROLL_BARS NS MODULES
THREADS PDUMPER

Important settings:
   value of $LANG: en_BE@currency=USD.UTF-8
   locale-coding-system: utf-8-unix

Major mode: Lisp

Minor modes in effect:
   display-time-mode: t
   slime-trace-dialog-minor-mode: t
   slime-autodoc-mode: t
   slime-mode: t
   gud-tooltip-mode: t
   which-function-mode: t
   shell-dirtrack-mode: t
   tooltip-mode: t
   global-eldoc-mode: t
   eldoc-mode: t
   electric-indent-mode: t
   mouse-wheel-mode: t
   menu-bar-mode: t
   file-name-shadow-mode: t
   global-font-lock-mode: t
   font-lock-mode: t
   blink-cursor-mode: t
   auto-composition-mode: t
   auto-encryption-mode: t
   auto-compression-mode: t
   temp-buffer-resize-mode: t
   line-number-mode: t
   transient-mark-mode: t

Load-path shadows:
/Users/devon/quicklisp/dists/quicklisp/software/slime-v2.24/slime-autoloads 
hides /Users/devon/.emacs.d/elpa/slime-20200711.1419/slime-autoloads
/Users/devon/quicklisp/dists/quicklisp/software/slime-v2.24/slime-tests 
hides /Users/devon/.emacs.d/elpa/slime-20200711.1419/slime-tests
/Users/devon/quicklisp/dists/quicklisp/software/slime-v2.24/slime hides 
/Users/devon/.emacs.d/elpa/slime-20200711.1419/slime
/Applications/Emacs-27.0.91.app/Contents/Resources/lisp/frame hides 
/Users/devon/emacs/frame
/Applications/Emacs-27.0.91.app/Contents/Resources/lisp/emacs-lisp/cl-macs 
hides /Users/devon/emacs/cl-macs
/Applications/Emacs-27.0.91.app/Contents/Resources/lisp/mail/sendmail 
hides /Users/devon/emacs/sendmail
/Applications/Emacs-27.0.91.app/Contents/Resources/lisp/forms hides 
/Users/devon/emacs/forms
/Applications/Emacs-27.0.91.app/Contents/Resources/lisp/mail/hashcash 
hides /Users/devon/emacs/hashcash
/Applications/Emacs-27.0.91.app/Contents/Resources/lisp/progmodes/inf-lisp 
hides /Users/devon/emacs/inf-lisp
/Applications/Emacs-27.0.91.app/Contents/Resources/lisp/dired-aux hides 
/Users/devon/emacs/dired-aux
/Applications/Emacs-27.0.91.app/Contents/Resources/lisp/json hides 
/Users/devon/emacs/json
/Applications/Emacs-27.0.91.app/Contents/Resources/lisp/net/shr hides 
/Users/devon/emacs/shr
/Applications/Emacs-27.0.91.app/Contents/Resources/lisp/replace hides 
/Users/devon/emacs/replace
/Applications/Emacs-27.0.91.app/Contents/Resources/lisp/textmodes/sgml-mode 
hides /Users/devon/emacs/sgml-mode
/Users/devon/quicklisp/dists/quicklisp/software/slime-v2.24/slime hides 
/Users/devon/emacs/slime
/Applications/Emacs-27.0.91.app/Contents/Resources/lisp/comint hides 
/Users/devon/emacs/comint
/Applications/Emacs-27.0.91.app/Contents/Resources/lisp/play/morse hides 
/Users/devon/emacs/morse
/Users/devon/.emacs.d/elpa/slime-repl-ansi-color-20190426.1414/slime-repl-ansi-color 
hides /Users/devon/emacs/slime-repl-ansi-color
/Applications/Emacs-27.0.91.app/Contents/Resources/lisp/xml hides 
/Users/devon/emacs/xml
/Applications/Emacs-27.0.91.app/Contents/Resources/lisp/emacs-lisp/regexp-opt 
hides /Users/devon/emacs/regexp-opt
/Applications/Emacs-27.0.91.app/Contents/Resources/lisp/emacs-lisp/advice 
hides /Users/devon/emacs/advice
/Applications/Emacs-27.0.91.app/Contents/Resources/lisp/emacs-lisp/lisp 
hides /Users/devon/emacs/lisp
/Users/devon/.emacs.d/elpa/csv-mode-1.7/csv-mode hides 
/Users/devon/emacs/csv-mode
/Applications/Emacs-27.0.91.app/Contents/Resources/lisp/textmodes/picture 
hides /Users/devon/emacs/picture
/Applications/Emacs-27.0.91.app/Contents/Resources/lisp/progmodes/xref 
hides /Users/devon/emacs/xref
/Applications/Emacs-27.0.91.app/Contents/Resources/lisp/rect hides 
/Users/devon/emacs/rect
/Applications/Emacs-27.0.91.app/Contents/Resources/lisp/lpr hides 
/Users/devon/emacs/lpr
/Applications/Emacs-27.0.91.app/Contents/Resources/lisp/net/tramp-ftp 
hides /Users/devon/emacs/tramp-ftp

Features:
(shadow mail-extr emacsbug message rfc822 mml mml-sec epa derived epg
epg-config gnus-util rmail rmail-loaddefs text-property-search mm-decode
mm-bodies mm-encode mail-parse rfc2231 mailabbrev gmm-utils mailheader
sendmail rfc2047 rfc2045 ietf-drums mm-util mail-prsvr mail-utils
pcmpl-unix eieio-opt speedbar sb-image ezimage dframe lisp-cycle
jka-compr gcl-info server tabify man macrostep-c cmacexp libgl-doc
cc-mode cc-fonts cc-guess cc-menus cc-cmds cc-styles cc-align cc-engine
cc-vars cc-defs tramp-cache tramp-sh tramp tramp-loaddefs trampver
tramp-integration files-x tramp-compat parse-time iso8601 ls-lisp
format-spec cl-indent vc-git markdown-mode network-stream puny nsm rmc
slime-media slime-repl-ansi-color slime-fancy slime-trace-dialog
slime-fontifying-fu slime-package-fu slime-references
slime-compiler-notes-tree slime-scratch slime-presentations bridge
slime-macrostep macrostep slime-mdot-fu slime-enclosing-context
slime-fuzzy slime-fancy-trace slime-fancy-inspector slime-c-p-c
slime-editing-commands slime-autodoc slime-repl elp slime-parse slime
lisp-mnt gud apropos compile arc-mode archive-mode noutline outline pp
hyperspec view color rect shell pcomplete bucky macosx sort etags
fileloop generator xref project compare-w diff-mode easy-mmode paren
advice sgml-mode dom info-look ispell disp-table edmacro kmacro supersub
rx comint ansi-color ring dired-aux dired dired-loaddefs time-date
misearch multi-isearch cl-extra thingatpt help-fns radix-tree cl-print
debug finder-inf backtrace help-mode find-func appt diary-lib
diary-loaddefs cal-menu calendar cal-loaddefs cl info slime-autoloads
package easymenu browse-url url-handlers url-parse auth-source cl-seq
eieio eieio-core cl-macs eieio-loaddefs password-cache json subr-x map
url-vars seq byte-opt gv bytecomp byte-compile cconv cl-loaddefs cl-lib
tooltip cus-start eldoc electric uniquify ediff-hook vc-hooks
lisp-float-type mwheel term/ns-win ns-win ucs-normalize mule-util
term/common-win tool-bar dnd fontset image regexp-opt fringe
tabulated-list replace newcomment text-mode elisp-mode lisp-mode
prog-mode register page tab-bar menu-bar rfn-eshadow isearch timer
select scroll-bar mouse jit-lock font-lock syntax facemenu font-core
term/tty-colors frame minibuffer cl-generic cham georgian utf-8-lang
misc-lang vietnamese tibetan thai tai-viet lao korean japanese eucjp-ms
cp51932 hebrew greek romanian slovak czech european ethiopic indian
cyrillic chinese composite charscript charprop case-table epa-hook
jka-cmpr-hook help simple abbrev obarray cl-preloaded nadvice loaddefs
button faces cus-face macroexp files text-properties overlay sha1 md5
base64 format env code-pages mule custom widget hashtable-print-readable
backquote threads kqueue cocoa ns multi-tty make-network-process emacs)

Memory information:
((conses 16 908857 112639)
  (symbols 48 44923 2)
  (strings 32 191673 14229)
  (string-bytes 1 6084677)
  (vectors 16 79173)
  (vector-slots 8 1780939 139134)
  (floats 8 539 306)
  (intervals 56 47437 1195)
  (buffers 1000 76))




Acknowledgement sent to Devon Sean McCullough <Devon2020@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#44818; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Fri, 27 Nov 2020 22:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.